Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.actions
Class Action

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.actions.Action

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  DoTransition, GoTo3dView, GoToDestination, GoToThread, GoToURI, ImportData, JavaScript, Launch, NamedAction, PlayMovie, PlaySound, Render, ResetForm, SetLayerState, SubmitForm, ToggleVisibility

    @PDF(value=PDF11)
    public class Action

extends PdfObjectWrapper<PdfDictionary>

Action to be performed by the viewer application [PDF:1.6:8.5].

Since:
  0.0.7
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`protected` | `Action(Document context, PdfName actionType)` Creates a new action within the given document context.
`protected` | `Action(PdfDirectObject baseObject)`

Method Summary
`Action` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`ChainedActions` | `getActions()` Gets the actions to be performed after the current one.
`void` | `setActions(ChainedActions value)`
`static Action` | `wrap(PdfDirectObject baseObject)` Wraps an action base object into an action object.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Action

    protected Action(Document context,
                     PdfName actionType)

  Creates a new action within the given document context.

### Action

    protected Action(PdfDirectObject baseObject)

Method Detail

### wrap

    public static final Action wrap(PdfDirectObject baseObject)

  Wraps an action base object into an action object.

  Parameters:
    `baseObject` - Action base object.
  Returns:
    Action object associated to the base object.

### clone

    public Action clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getActions

    @PDF(value=PDF12)
    public ChainedActions getActions()

  Gets the actions to be performed after the current one.

### setActions

    public void setActions(ChainedActions value)

  See Also:
    `getActions()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.